lab_1/urls.py
from django.urls import path
from .views import friend_list, index

urlpatterns = [
    path('', index, name='index'),
    path('friends', friend_list, name='friends')
]

lab_2/urls.py
from django.urls import path
from .views import index, xml, json

urlpatterns = [
    path('', index, name='index'),
    path('xml', xml, name='xml'),
    path('json', json, name='json'),
]

lab_3/urls.py
from django.urls import path
from .views import index, add_friend

urlpatterns = [
    path('', index, name='index'),
    path('add', add_friend, name='add')
]

lab_4/urls.py
from django.urls import path

from django.urls import path
from .views import index, add_note, note_list

urlpatterns = [
    path('', index, name='index'),
    path('add-note', add_note, name='add-note'),
    path('list-note', note_list, name='note-list'),
]

praktikum/urls.py
from django.urls import path, re_path, include
from django.contrib import admin
import lab_1.urls as lab_1
import lab_2.urls as lab_2
import lab_3.urls as lab_3
import lab_4.urls as lab_4
from lab_1.views import index as index_lab1
from lab_2.views import index as index_lab2
from lab_3.views import index as index_lab3
from lab_4.views import index as index_lab4

urlpatterns = [
    path('admin/', admin.site.urls),
    path('lab-1/', include(lab_1)),
    path('lab-2/', include(lab_2)),
    path('lab-3/', include(lab_3)),
    path('lab-4/', include(lab_4)),
    re_path(r'^$', index_lab1, name='index'),
    re_path(r'^$', index_lab2, name='index'),
    re_path(r'^$', index_lab3, name='index'),
    re_path(r'^$', index_lab4, name='index'),
]

lab_1/models.py
from django.db import models

class Friend(models.Model):
    name = models.CharField(max_length=30)
    npm = models.CharField(max_length=10)
    date_of_birth = models.DateField()

lab_2/models.py
from django.db import models

# Create your models here.
class Note(models.Model):
    receiver = models.CharField(max_length=50)
    sender = models.CharField(max_length=50)
    title = models.CharField(max_length=50)
    message = models.CharField(max_length=1000)

lab_3/models.py
from django.db import models

# Create your models here.

lab_4/models.py
from django.db import models

# Create your models here.

lab_3/forms.py
from django import forms
from lab_1.models import Friend

class FriendForm(forms.ModelForm):
    class Meta:
        model = Friend
        fields = "__all__"

lab_4/forms.py
from django import forms
from lab_2.models import Note

class NoteForm(forms.ModelForm):
    class Meta:
        model = Note
        fields = "__all__"

lab_1/views.py
from django.shortcuts import render
from datetime import datetime, date
from .models import Friend

mhs_name = 'Sulthan Muhammad Fasda'
curr_year = int(datetime.now().strftime("%Y"))
birth_date = date(2002, 10, 20)
npm = 2006596812


def index(request):
    response = {'name': mhs_name,
                'age': calculate_age(birth_date.year),
                'npm': npm}
    return render(request, 'index_lab1.html', response)


def calculate_age(birth_year):
    return curr_year - birth_year if birth_year <= curr_year else 0


def friend_list(request):
    friends = Friend.objects.all()
    response = {'friends': friends}
    return render(request, 'friend_list_lab1.html', response)

lab_2/views.py
from django.shortcuts import render
from django.core import serializers
from django.http.response import HttpResponse
from .models import Note 

# Create your views here.
def index(request):
    notes = Note.objects.all()
    response = {'notes': notes}
    return render(request, 'lab2.html', response)

def xml(request):
    data = serializers.serialize('xml', Note.objects.all())
    return HttpResponse(data, content_type="application/xml")

def json(request):
    data = serializers.serialize('json', Note.objects.all())
    return HttpResponse(data, content_type="application/json")

lab_3/views.py
from django.http.response import HttpResponseRedirect
from django.shortcuts import render
from lab_1.models import Friend
from lab_3.forms import FriendForm
from django.contrib.auth.decorators import login_required

@login_required(login_url='/admin/login/')
def index(request):
    friends = Friend.objects.all().values() 
    response = {'friends': friends}
    return render(request, 'lab3_index.html', response)

@login_required(login_url='/admin/login/')
def add_friend(request):
    form = FriendForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):

        form.save()
        return HttpResponseRedirect('/lab-3')
    
    else:
        form = FriendForm()

    return render(request, 'lab3_form.html', {'form': form})

lab_4/views.py
from django.shortcuts import render
from lab_2.models import Note 
from django.http.response import HttpResponseRedirect
from .forms import NoteForm

# Create your views here.
def index(request):
    notes = Note.objects.all()
    response = {'notes': notes}
    return render(request, 'lab4_index.html', response)

def note_list(request):
    notes = Note.objects.all()
    response = {'notes': notes}
    return render(request, 'lab4_note_list.html', response)

def add_note(request):
    form = NoteForm(request.POST or None)
    if (form.is_valid() and request.method == 'POST'):

        form.save()
        return HttpResponseRedirect('/lab-4')
    
    else:
        form = NoteForm()

    return render(request, 'lab4_form.html', {'form': form})

lab_1/templates/friend_list_lab1.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      table, th, td {
        border: 1px solid white;
        border-collapse: collapse;
      }
      th, td{
        font-family:Arial, Helvetica, sans-serif;
      }
      td{
        background-color: #E05D5D;
        font-weight: 600;
        font-size: small;
      }
      th{
        background-color: #e08181;
        color:#FFF8E5;
      }

      header{ 
        background-color: #00A19D;
        padding: 30px;
        text-align:left;
        font-size: 35px;
        color: #FFB344;
      }
      footer {
        background-color: #D5BFBF;
        padding: 15px;
      }
    </style>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <header>List of Friends</header>
    <table style="width:100%">
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
        {% for friend in friends %}
        <tr>
          <td>{{ friend.name }}</td>
          <td>{{ friend.npm }}</td>
          <td>{{ friend.date_of_birth }}</td>
        </tr>
        {% endfor %}
      <!-- END SECTION -->
    </table>
    <footer></footer>
  </body>
</html>

lab_1/templates/index_lab1.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>{{ name }}</title>
  </head>
  <body>
    <h1>Hello my name is {{ name }}</h1>
    <article>NPM : {{ npm }}</article>
    <article>I am {{ age }} years old</article>
  </body>
</html>

lab_2/templates/lab2.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      table, th, td {
        border: 1px solid white;
        border-collapse: collapse;
      }
      th, td{
        font-family:Arial, Helvetica, sans-serif;
      }
      td{
        background-color: #E05D5D;
        font-weight: 600;
        font-size: small;
      }
      th{
        background-color: #e08181;
        color:#FFF8E5;
      }

      header{ 
        background-color: #00A19D;
        padding: 30px;
        text-align:left;
        font-size: 35px;
        color: #FFB344;
      }
      footer {
        background-color: #D5BFBF;
        padding: 15px;
      }
    </style>
    <meta charset="UTF-8" />
    <title>Notes</title>
  </head>
  <body>
    <header>List of Notes</header>
    <table style="width:100%">
      <tr>
        <th>To</th>
        <th>From</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
        {% for note in notes %}
        <tr>
          <td>{{ note.receiver }}</td>
          <td>{{ note.sender }}</td>
          <td>{{ note.title }}</td>
          <td>{{ note.title }}</td>
        </tr>
        {% endfor %}
      <!-- END SECTION -->
    </table>
    <footer></footer>
  </body>
</html>

lab_3/templates/lab3_form.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      form {
        border: 1px solid white;
        border-collapse: collapse;
        font-family:Arial, Helvetica, sans-serif;
        font-weight: 600;
        font-size: small;
        background-color: #E05D5D;
      }
      header{ 
        background-color: #00A19D;
        padding: 30px;
        text-align:center;
        font-size: 35px;
        color: #FFB344;
      }
      footer {
        background-color: #D5BFBF;
        padding: 15px;
      }
    </style>
    <meta charset="UTF-8" />
    <title>Add Friend</title>
  </head>
  <body>
    <header>Add Friends</header>
      <form action="" method="POST" accept="utf-8">
        {% csrf_token %}
        {{form.as_p}}
        <input type = "submit" value="Add">
      </form>
    <footer></footer>
  </body>
</html>

lab_3/templates/lab3_index.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      table, th, td {
        border: 1px solid white;
        border-collapse: collapse;
      }
      th, td{
        font-family:Arial, Helvetica, sans-serif;
      }
      td{
        background-color: #E05D5D;
        font-weight: 600;
        font-size: small;
      }
      th{
        background-color: #e08181;
        color:#FFF8E5;
      }

      header{ 
        background-color: #00A19D;
        padding: 30px;
        text-align:left;
        font-size: 35px;
        color: #FFB344;
      }
      footer {
        background-color: #D5BFBF;
        padding: 15px;
      }
    </style>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <header>List of Friends</header>
    <table style="width:100%">
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
        {% for friend in friends %}
        <tr>
          <td>{{ friend.name }}</td>
          <td>{{ friend.npm }}</td>
          <td>{{ friend.date_of_birth }}</td>
        </tr>
        {% endfor %}
      <!-- END SECTION -->
    </table>
    <footer></footer>
  </body>
</html>

lab_4/templates/lab4_form.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      @import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap");
      :root{
        --first-color: #FCF0C8;
        --input-color: #80868B;
        --border-color: #DADCE0;
        --main-color: #FCF0C8;

        --body-font: 'Roboto', sans-serif;
        --normal-font-size: 1rem;
        --small-font-size: .75rem;
      }
      *,::before,::after{
        box-sizing: border-box;
      }
      * {
        margin: 0;
        padding: 0;
      }
      nav {
        height: 70px;
        background: #630A10;
        z-index: 10;
        position: fixed;
        width: 100%;
      }
      nav h1{
        position: absolute;
        width: 200px;
        top: 18px;
        left: 5%;
        color: var(--main-color);
      }
      nav h1 a{
        text-decoration: none;
        font-family: poppins;
        font-weight: 800;
        letter-spacing: 4px;
        font-size: 20px;
        margin: 0 10px;
        color: var(--main-color);
      }
      nav a {
        font-family: 'Montserrat', sans-serif;
        font-size: 20px;
        top: 10px;
        font-weight: 500;
        color: var(--main-color);
        text-decoration: none;
      }
      nav ul{
        float: right;
        margin-right: 20px;
        list-style: none;
      }
      nav li a{
        transition: all 0.3s ease 0s;
      }
      nav li a:hover{
        color: #131210;
      }
      nav ul li{
        display: inline-block;
        line-height: 50px;
        margin: 0 15px;
      }
      nav ul li a{
        position: relative;
        padding: 5px 0;
        color: var(--main-color);
        font-size: 16px;
        text-decoration: none;
      }
      label #sign-one,
      label #sign-two{
        font-size: 30px;
        color: var(--main-color);
        float: right;
        line-height: 70px;
        margin-right: 30px;
        cursor: pointer;
        display: none;
      }
      #res-menu{
        display: none;
      }
      @media (max-width: 870px) {
        label #sign-one{
          display: block;
        }
        nav ul{
          position: fixed;
          width: 100%;
          height: 100vh;
          background-color: rgb(71, 19, 30);
          top: 70px;
          left: -100%;
          text-align: center;
          transition: .5s;
          z-index: 10;
        }
        nav ul li{
          display: block;
          margin: 40px 0;
          line-height: 30px;
        }
        nav ul li a{
          font-size: 20px;
        }
        #res-menu:checked ~ ul{
          left: 0;
        }
        #res-menu:checked ~ label #sign-one{
          display: none;
        }
        #res-menu:checked ~ label #sign-two{
          display: block;
        }
      }
      .content-area {
        width: 100%;
        position: relative;
        background: #131210;
        height: 755px;
        padding-top: 4%;
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .form{
        width: 360px;
        padding: 4rem 2rem;
        border-radius: 1rem;
        box-shadow: 0 10px 25px rgba(92,99,105,.2);
      }
      .form-title{
        font-weight: 400;
        margin-bottom: 3rem;
        text-align: center;
        color: var(--main-color);
      }
      .form-div{
        position: relative;
        height: 48px;
        margin-bottom: 1.5rem;
      }
      .form-input{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        font-size: var(--normal-font-size);
        border: 1px solid var(--border-color);
        border-radius: .5rem;
        outline: none;
        padding: 1rem;
        background: none;
        z-index: 1;
        color: #FFF;
      }
      .form-label{
        position: absolute;
        left: 1rem;
        top: 1rem;
        padding: 0 .25rem;
        background-color: #131210;
        color: var(--input-color);
        font-size: var(--normal-font-size);
        transition: .3s;
      }
      .form-button{
        display: block;
        margin-left: auto;
        padding: .75rem 2rem;
        outline: none;
        border: none;
        background-color: #7D1935;
        color: var(--main-color);
        font-size: var(--normal-font-size);
        font-weight: 500;
        border-radius: .5rem;
        cursor: pointer;
        transition: .3s;
      }
      .form-button:hover{
        box-shadow: 0 10px 36px rgba(0,0,0,.15);
      }
      .form-input:focus + .form-label{
        top: -.5rem;
        left: .8rem;
        color: var(--first-color);
        font-size: var(--small-font-size);
        font-weight: 500;
        z-index: 10;
      }
      .form-input:not(:placeholder-shown).form-input:not(:focus)+ .form-label{
        top: -.5rem;
        left: .8rem;
        font-size: var(--small-font-size);
        font-weight: 500;
        z-index: 10;
      }
      .form-input:focus{
        border: 1.5px solid var(--first-color);
      }
    </style>
  <head>
    <meta charset="UTF-8" />
    <title>Add Note</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body>
    <nav>
      <input type="checkbox" id="res-menu">
      <label for="res-menu">
        <i class="fa fa-bars" id="sign-one"></i>
        <i class="fa fa-times" id="sign-two"></i>
      </label>
      <h1><a href="/lab-4">NOTEit!</a></h1>
      <ul>
        <li><a href="/lab-4">Table</a></li>
        <li><a href="add-note">Form</a></li>
        <li><a href="list-note">Card</a></li>
      </ul>
    </nav>
    <div class="content-area">
      <div class="1-form">
        <div>
          <form action="" method="POST" class="form">
            {% csrf_token %}
            <h1 class="form-title">Add A Note</h1>
            <div class="form-div">
              <input type="text" name= "receiver" class="form-input" placeholder=" " maxLength ="30" id="id_to">
              <label for="" class="form-label">Receiver</label>
            </div>
            <div class="form-div">
                <input type="text" name= "sender" class="form-input" placeholder=" " maxLength ="30" id="id_from">  
                <label for="" class="form-label">Sender</label>
            </div>
            <div class="form-div">
              <input type="text" name= "title" class="form-input" placeholder=" " maxLength ="30" id="id_title">
              <label for="" class="form-label">Tittle</label>
            </div>  
            <div class="form-div">
              <input type="text" name= "message" class="form-input" placeholder=" " maxLength ="100" id="id_message">
              <label for="" class="form-label">Message</label>
            </div>  
            <input type="submit" class="form-button" value="Add">
          </form>
        </div>
      </div>
    </div>
  </body>
</html>

lab_4/templates/lab4_index.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      :root{
        --main-color: #FCF0C8;
      }
      * {
        margin: 0;
        padding: 0;
      }
      nav {
        height: 70px;
        background: #630A10;
        z-index: 10;
        position: fixed;
        width: 100%;
      }
      nav h1{
        position: absolute;
        width: 200px;
        top: 18px;
        left: 5%;
        color: var(--main-color);
      }
      nav h1 a{
        text-decoration: none;
        font-family: poppins;
        font-weight: 800;
        letter-spacing: 4px;
        font-size: 20px;
        margin: 0 10px;
        color: var(--main-color);
      }
      nav a {
        font-family: 'Montserrat', sans-serif;
        font-size: 20px;
        top: 10px;
        font-weight: 500;
        color: var(--main-color);
        text-decoration: none;
      }
      nav ul{
        float: right;
        margin-right: 20px;
        list-style: none;
      }
      nav li a{
        transition: all 0.3s ease 0s;
      }
      nav li a:hover{
        color: #131210;
      }
      nav ul li{
        display: inline-block;
        line-height: 50px;
        margin: 0 15px;
      }
      nav ul li a{
        position: relative;
        padding: 5px 0;
        color: var(--main-color);
        font-size: 16px;
        text-decoration: none;
      }
      label #sign-one,
      label #sign-two{
        font-size: 30px;
        color: var(--main-color);
        float: right;
        line-height: 70px;
        margin-right: 30px;
        cursor: pointer;
        display: none;
      }
      #res-menu{
        display: none;
      }
      @media (max-width: 870px) {
        label #sign-one{
          display: block;
        }
        nav ul{
          position: fixed;
          width: 100%;
          height: 100vh;
          background-color: rgb(71, 19, 30);
          top: 70px;
          left: -100%;
          text-align: center;
          transition: .5s;
          z-index: 10;
        }
        nav ul li{
          display: block;
          margin: 40px 0;
          line-height: 30px;
        }
        nav ul li a{
          font-size: 20px;
        }
        #res-menu:checked ~ ul{
          left: 0;
        }
        #res-menu:checked ~ label #sign-one{
          display: none;
        }
        #res-menu:checked ~ label #sign-two{
          display: block;
        }
      }
      .banner-area {
        text-align: center;
        width: 100%;
        height: 600px;
        position: fixed;
        top: 50px;
        background-image: url("https://images.unsplash.com/photo-1633628766566-0dce9a6b1a68?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1344&q=80");
        -webkit-background-size: cover;
        background-size: cover;
        background-position: center center;
      }
      .banner-area h2 {
        padding-top: 11%;
        font-size: 50px;
        font-family: poppins;
        text-transform: uppercase;
        color: #FCF0C8;
      }
      .content-area {
        width: 100%;
        position: relative;
        top: 450px;
        background: #131210;
        min-height: 650px;
        height: min-content;
        max-height: 1500px;
        padding-top: 1.3%;
      }
      .content-area h2 {
        font-family: poppins;
        letter-spacing: 4px;
        padding-top: 30px;
        font-size: 40px;
        margin: 0;
      }
      .content-area p {
        padding: 2% 0px;
        font-family: poppins;
        line-height: 30px;
      }
      .content-table{
        border-collapse: collapse;
        margin: 25px 0;
        font-size: 0.9em;
        min-width: 480px;
        border-radius: 5px 5px 0 0;
        overflow: hidden;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        width: 70%; 
        margin-left: 15%; 
        margin-right: 15%;
      }
      .content-table th{
        background-color: #911F27;
        color: #FFF8E5;
        text-align: left;
        font-weight: bold;
        text-align: center;
      }     
      .content-table th,
      .content-table td{
        padding: 12px 15px;
      }
      .content-table td{
        color: #FFF8E5;
      }
      .content-table tbody tr{
        border-bottom: 1px solid #1f1701;
      }
      .content-table tbody tr:nth-of-type(even){
        background-color: #252A34;
      }
      .content-table tbody tr:last-of-type{
        border-bottom: 2px solid #E05D5D;
      }
    </style>
  <head>
    <meta charset="UTF-8" />
    <title>Notes</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body>
    <nav>
      <input type="checkbox" id="res-menu">
      <label for="res-menu">
        <i class="fa fa-bars" id="sign-one"></i>
        <i class="fa fa-times" id="sign-two"></i>
      </label>
      <h1><a href="/lab-4">NOTEit!</a></h1>
      <ul>
        <li><a href="/lab-4">Table</a></li>
        <li><a href="add-note">Form</a></li>
        <li><a href="list-note">Card</a></li>
      </ul>
    </nav>
    <div class="banner-area">
      <h2>Notes</h2>
    </div>
    <div class="content-area">
      <div>
        <table class="content-table">
          <tr>
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
          </tr>
            {% for note in notes %}
            <tr>
              <td>{{ note.receiver }}</td>
              <td>{{ note.sender }}</td>
              <td>{{ note.title }}</td>
              <td>{{ note.message }}</td>
            </tr>
            {% endfor %}
          <!-- END SECTION -->
        </table>
      </div>
    </div>
  </body>
</html>

lab_4/templates/lab4_note_list.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      :root{
        --main-color: #FCF0C8;
      }
      * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        font-family: 'poppins', sans-serif;
      }
      nav {
        height: 70px;
        background: #630A10;
        z-index: 10;
        position: fixed;
        width: 100%;
      }
      nav h1{
        position: absolute;
        width: 200px;
        top: 19px;
        left: 5%;
        color: var(--main-color);
      }
      nav h1 a{
        text-decoration: none;
        font-family: poppins;
        font-weight: 800;
        letter-spacing: 4px;
        font-size: 20px;
        margin: 0 10px;
        color: var(--main-color);
      }
      nav a {
        font-family: 'Montserrat', sans-serif;
        font-size: 20px;
        top: 10px;
        font-weight: 500;
        color: var(--main-color);
        text-decoration: none;
      }
      nav ul{
        float: right;
        margin-right: 20px;
        list-style: none;
      }
      nav li a{
        transition: all 0.3s ease 0s;
      }
      nav li a:hover{
        color: #131210;
      }
      nav ul li{
        display: inline-block;
        line-height: 50px;
        margin: 0 15px;
      }
      nav ul li a{
        position: relative;
        padding: 5px 0;
        color: var(--main-color);
        font-size: 16px;
        text-decoration: none;
      }
      label #sign-one,
      label #sign-two{
        font-size: 30px;
        color: var(--main-color);
        float: right;
        line-height: 70px;
        margin-right: 30px;
        cursor: pointer;
        display: none;
      }
      #res-menu{
        display: none;
      }
      @media (max-width: 870px) {
        label #sign-one{
          display: block;
        }
        nav ul{
          position: fixed;
          width: 100%;
          height: 100vh;
          background-color: rgb(71, 19, 30);
          top: 70px;
          left: -100%;
          text-align: center;
          transition: .5s;
          z-index: 10;
        }
        nav ul li{
          display: block;
          margin: 40px 0;
          line-height: 30px;
        }
        nav ul li a{
          font-size: 20px;
        }
        #res-menu:checked ~ ul{
          left: 0;
        }
        #res-menu:checked ~ label #sign-one{
          display: none;
        }
        #res-menu:checked ~ label #sign-two{
          display: block;
        }
      }
      .content-area {
        width: 100%;
        min-height: 101vh;
        height: min-content;
        position: relative;
        background: #131210;
        max-height: 5000px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        padding: 40px 0;
      }
      .content-area .card{
        top: 36.5px;
        position: relative;
        width: 320px;
        height: 440px;
        box-shadow: inset 5px 5px 5px rgba(0, 0, 0, 0.5),
                    inset -5px -5px 5px rgba(53, 53, 53, 0.5),
                    5px 5px 5px rgba(0, 0, 0, 0.5),
                    -5px -5px 5px rgba(53, 53, 53, 0.5);
        border-radius: 15px;
        margin: 30px;
      }
      .content-area .card .box{
        position: absolute;
        top: 20px;
        left: 20px;
        right: 20px;
        bottom: 20px;
        background: rgb(32, 32, 32);
        box-shadow: 0 10px 20px rgba(0,0,0,0.1);
        border-radius: 15px;
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.5s;
      }
      .content-area .card:hover .box{
        transform: translateY(-50px);
        box-shadow: 0 10px 40px rgba(0, 0, 0, 2);
        background: linear-gradient(45deg, #7D1935, #420516);
      }
      .content-area .card .box .card-content{
        padding: 20px;
        text-align: center;
        max-width: 300px;
      }
      .content-area .card .box .card-content h3{
        position: absolute;
        top: 4px;
        right: 20px;
        left: 20px;
        font-size: 3em;
        color: #fcf0c8ad;
        transition: 0.5s;
        pointer-events: none;
      }
      .content-area .card:hover .box .card-content h3{
        color: #fde8a1ad;
      }
      .content-area .card .box .card-content p{
        font-size: 1.3em;
        font-weight: 1.3em;
        color: rgb(148, 148, 148);
        z-index: 1;
        transition: 0.5s;
      }
      .content-area .card:hover .box .card-content p{
        color: rgb(223, 223, 223);
      }
      .content-area .card .box .card-content .card-receiver{
        position: absolute;
        padding: 8px 20px;
        left: 50px;
        right: 50px;
        top: 310px;
        font-size: 0.9em;
        margin-top: 10px;
        border-radius: 20px;
        color: rgb(148, 148, 148);
        text-decoration: none;
        font-weight: 400px;
        box-shadow: 0 10px 20px rgba(71, 71, 71, 0.2);
      }
      .content-area .card .box .card-content .card-sender{
        position: absolute;
        padding: 8px 20px;
        left: 50px;
        right: 50px;
        top: 345px;
        font-size: 0.9em;
        margin-top: 10px;
        border-radius: 20px;
        color: rgb(148, 148, 148);
        text-decoration: none;
        font-weight: 400px;
        box-shadow: 0 10px 20px rgba(71, 71, 71, 0.2);
      }
      .content-area .card:hover .box .card-content a{
        color: rgb(223, 223, 223);
      }
    </style>
  <head>
    <meta charset="UTF-8" />
    <title>Notes Card</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  </head>
  <body>
    <nav>
      <input type="checkbox" id="res-menu">
      <label for="res-menu">
        <i class="fa fa-bars" id="sign-one"></i>
        <i class="fa fa-times" id="sign-two"></i>
      </label>
      <h1><a href="/lab-4">NOTEit!</a></h1>
      <ul>
        <li><a href="/lab-4">Table</a></li>
        <li><a href="add-note">Form</a></li>
        <li><a href="list-note">Card</a></li>
      </ul>
    </nav>
    <div class="content-area">
          {% if notes %}
            {% for note in notes %}
              <div class="card">
              <div class="box">
                <div class="card-content">
                  <h3 class="card-title"> {{ note.title }}</h3>
                  <p class="card-header">{{ note.message }}</p>
                  <a class="card-sender">From: {{ note.sender }}</a>
                  <a class="card-receiver">To: {{ note.receiver }}</a>
                </div>
              </div>
            </div>
          {% endfor %}
        {% endif %}
      </div>
    </div>
  </body>
</html>